Package gbp :: Package pkg :: Module pristinetar :: Class PristineTar

[hide private]
[frames] | no frames]

# Class PristineTar

                  object --+
                           |
    command_wrappers.Command --+
                               |
                              PristineTar

Known Subclasses:
  - deb.pristinetar.DebianPristineTar

The pristine-tar branch in a git repository

Instance Methods | [hide private]

__init__(self, repo) x.__init__(...) initializes x; see help(type(x)) for signature |

checkout(self, archive) Checkout an orig archive from pristine-tar branch |

commit(self, archive, upstream) Commit an archive archive to the pristine tar branch using upstream branch ${upstream}. |

get_commit(self, archive_regexp) Get the pristine-tar commit of package package in version version and compression type comp_type |

has_commit(self, archive_regexp) Do we have a pristine-tar commit for package package at version {version} with compression type comp_type? |

Inherited from `command_wrappers.Command`: `__call__`, `call` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables | [hide private]

| branch = ``'``pristine-tar``'``
| cmd = ``'``/usr/bin/pristine-tar``'``

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, repo)
(Constructor)

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### checkout(self, archive)

Checkout an orig archive from pristine-tar branch

Parameters:
  - `archive` (`str`) - the name of the orig archive

### commit(self, archive, upstream)

Commit an archive archive to the pristine tar branch using upstream branch ${upstream}.

Parameters:
  - `archive` (`str`) - the archive to commit
  - `upstream` (`str`) - the upstream branch to diff against

### get_commit(self, archive_regexp)

Get the pristine-tar commit of package package in version version and compression type comp_type

Parameters:
  - `archive_regexp` (`str`) - archive name to look for (regexp wildcards allowed)

### has_commit(self, archive_regexp)

Do we have a pristine-tar commit for package package at version {version} with compression type comp_type?

Parameters:
  - `archive_regexp` (`str`) - archive name to look for (regexp wildcards allowed)